import { XDataDefinition } from "../Data/XDataDefinition";
import { IConfigStorage } from "../IConfigStorage";
export declare abstract class BaseExecutable implements IConfigStorage {
    inputData?: XDataDefinition | (() => XDataDefinition);
    inputDataCache?: XDataDefinition;
    getInputDefinition(): XDataDefinition;
    get canChangeInputs(): boolean;
    getStorageData(): object;
    setStorageData(data: object): void;
}
